Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface TestResultTable.TreeNodeObserver

Enclosing class:
  TestResultTable

    public static interface TestResultTable.TreeNodeObserver

Observer interface to watch a single tree node.

Since:
  3.0

Method Summary
`void` | `countersInvalidated(TestResultTable.TreeNode node)` The statistics counters of the node have changed.
`void` | `insertedBranch(TestResultTable.TreeNode parent, TestResultTable.TreeNode newNode, int index)` A TreeNode has been inserted into the given parent node.
`void` | `insertedResult(TestResultTable.TreeNode parent, TestResult test, int index)` A TestResult has been inserted into the given parent node.
`void` | `removedBranch(TestResultTable.TreeNode parent, int index)` A TreeNode has been removed from the given parent node.
`void` | `removedResult(TestResultTable.TreeNode parent, TestResult test, int index)` A TestResult has been removed from the given parent node.
`void` | `replacedResult(TestResultTable.TreeNode parent, TestResult oldTest, TestResult newTest, int index)` A TestResult has been replaced in the given parent node.

Method Detail

### insertedBranch

    void insertedBranch(TestResultTable.TreeNode parent,
                        TestResultTable.TreeNode newNode,
                        int index)

  A TreeNode has been inserted into the given parent node.

  Parameters:
    `parent` - The node which acquired the new node. This is the same as the object that the observer attached to.
    `newNode` - The node which was added.
    `index` - The index at which the node was added.

### insertedResult

    void insertedResult(TestResultTable.TreeNode parent,
                        TestResult test,
                        int index)

  A TestResult has been inserted into the given parent node.

  Parameters:
    `parent` - The node which acquired the new test. This is the same as the object that the observer attached to.
    `test` - The test which was added.
    `index` - The index at which the test was added.

### replacedResult

    void replacedResult(TestResultTable.TreeNode parent,
                        TestResult oldTest,
                        TestResult newTest,
                        int index)

  A TestResult has been replaced in the given parent node.

  Parameters:
    `parent` - The node which acquired the new test. This is the same as the object that the observer attached to.
    `oldTest` - The test which was replaced.
    `newTest` - The test which took the old test's place.
    `index` - The index at which activity occured.

### removedBranch

    void removedBranch(TestResultTable.TreeNode parent,
                       int index)

  A TreeNode has been removed from the given parent node.

  Parameters:
    `parent` - The node which acquired the new test. This is the same as the object that the observer attached to.
    `index` - The index at which the removed node resided in the parent.

### removedResult

    void removedResult(TestResultTable.TreeNode parent,
                       TestResult test,
                       int index)

  A TestResult has been removed from the given parent node.

  Parameters:
    `parent` - The node which acquired the new test. This is the same as the object that the observer attached to.
    `test` - The test which was removed.
    `index` - The index at which the removed test resided in the parent.

### countersInvalidated

    void countersInvalidated(TestResultTable.TreeNode node)

  The statistics counters of the node have changed.

  Parameters:
    `node` - The node whose counters were invalidated. This is the same as the node which this observer attached to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.